aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--TODO.md1
-rwxr-xr-xbuild.sh2
-rw-r--r--tests/test.sh2
3 files changed, 3 insertions, 2 deletions
diff --git a/TODO.md b/TODO.md
index 5827fe0..7626cb2 100644
--- a/TODO.md
+++ b/TODO.md
@@ -2,3 +2,4 @@
* Gui
* Full unprivileged instructions support
* Windows support
+* Allow running tests with existing mips compiler instead of building its own
diff --git a/build.sh b/build.sh
index aafe93b..bfde7c4 100755
--- a/build.sh
+++ b/build.sh
@@ -5,6 +5,6 @@ mkdir -p build
ROOT="$(dirname "$(readlink -f "$0")")"
cd build
-/usr/lib/qt5/bin/qmake "$ROOT"
+qtchooser -run-tool=qmake -qt=5 "$ROOT"
make sub-qtmips_cli sub-qtmips_gui
diff --git a/tests/test.sh b/tests/test.sh
index d04d380..1302bf4 100644
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -68,7 +68,7 @@ qtmips_make() {
mkdir -p "$BUILD_DIR"
local ORIG="$(pwd)"
cd "$BUILD_DIR"
- /usr/lib64/qt5/bin/qmake "$PROJECT_ROOT" || echo_fail "QtMips qmake failed!"
+ qtchooser -run-tool=qmake -qt=5 "$PROJECT_ROOT" || echo_fail "QtMips qmake failed!"
make "$@" || echo_fail "QtMips build failed! (target: $@)"
cd "$ORIG"
}